#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 33. GNOME Libraries and Desktop

- Prev

  libshumate-1.6.1

- Next

  tinysparql-3.11.1

- Up
- Home

# evolution-data-server-3.60.1

## Introduction to Evolution Data Server

The Evolution Data Server package provides a unified backend for programs that work with contacts, tasks, and calendar information. It was originally developed for Evolution (hence the name), but is now used by other packages as well.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/evolution-data-server/3.60/evolution-data-server-3.60.1.tar.xz

- Download MD5 sum: 831f458e85da998fef6647beb830c091

- Download size: 5.0 MB

- Estimated disk space required: 150 (with tests)

- Estimated build time: 1.1 SBU (With tests; both using parallelism=4)

### Evolution Data Server Dependencies

#### Required

libical-3.0.20, libsecret-0.21.7, and nss-3.123.1

#### Recommended

gnome-online-accounts-3.58.1, GLib-2.88.0 (with GObject Introspection), GTK-3.24.52, GTK-4.22.4, ICU-78.3, libcanberra-0.30, libgweather-4.6.0, Vala-0.56.19, and WebKitGTK-2.52.0

#### Optional

GTK-Doc-1.36.1, MIT Kerberos V5-1.22.2, a MTA (that provides a sendmail command), OpenLDAP-2.6.13, Berkeley DB (deprecated), and libphonenumber

## Installation of Evolution Data Server

Install Evolution Data Server by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=/usr \
          -D SYSCONF_INSTALL_DIR=/etc  \
          -D ENABLE_VALA_BINDINGS=ON   \
          -D ENABLE_INSTALLED_TESTS=ON \
          -D WITH_OPENLDAP=OFF         \
          -D WITH_KRB5=OFF             \
          -D ENABLE_INTROSPECTION=ON   \
          -D ENABLE_GTK_DOC=OFF        \
          -D WITH_LIBDB=OFF            \
          -W no-dev -G Ninja ..        &&
    ninja

Now, as the `root` user:

    ninja install

To test the results, issue: ninja test. One test, test-book-client-custom-summary, is known to fail.

## Command Explanations

`-D ENABLE_VALA_BINDINGS=ON`: This switch enables building the Vala bindings. Remove it if you don't have Vala-0.56.19 installed.

`-D ENABLE_GTK_DOC=OFF`: This switch disables building the API documentation. It is broken for this package due to the use of a long deprecated gtk-doc program that is no longer available.

`-D WITH_KRB5=OFF`: This switch allows building this package without MIT Kerberos V5-1.22.2. If you need Kerberos support in this package, for example to connect to a corporate network, change this switch from OFF to ON.

`-D WITH_LIBDB=OFF`: This switch allows building this package without Berkeley DB (deprecated). sqlite is used for normal operation.

`-D ENABLE_OAUTH2_WEBKITGTK4=OFF`: Use this switch if you did not build WebKitGTK-2.52.0 with GTK-4.

### Note

To enable many of the optional dependencies, review the information from cmake -L CMakeLists.txt for the necessary parameters you must pass to the cmake command.

## Contents

Installed Programs: None
Installed Libraries: libcamel-1.2.so, libebackend-1.2.so, libebook-1.2.so, libebook-contacts-1.2.so, libecal-2.0.so, libedata-book-1.2.so, libedata-cal-2.0.so, libedataserver-1.2.so, libedataserverui-1.2.so, libedataserverui4-1.0.so, and libetestserverutils.so
Installed Directories: /usr/include/evolution-data-server, /usr/lib{,exec}/evolution-data-server, /usr/share/evolution-data-server, /usr/share/installed-tests/evolution-data-server, and /usr/share/pixmaps/evolution-data-server

### Short Descriptions

`libcamel-1.2.so` | is the Evolution MIME message handling library
`libebackend-1.2.so` | is the utility library for Evolution Data Server Backends
`libebook-1.2.so` | is the client library for Evolution address books
`libebook-contacts-1.2.so` | is the client library for Evolution contacts
`libecal-1.2.so` | is the client library for Evolution calendars
`libedata-book-1.2.so` | is the backend library for Evolution address books
`libedata-cal-1.2.so` | is the backend library for Evolution calendars
`libedataserver-1.2.so` | is the utility library for Evolution Data Server
`libedataserverui-3.0.so` | is the GUI utility library for Evolution Data Server
`libedataserverui4-1.0.so` | is the GTK-4 based GUI utility library for Evolution Data Server
`libetestserverutils.so` | is the server test utility library for Evolution Data Server

- Prev

  libshumate-1.6.1

- Next

  tinysparql-3.11.1

- Up
- Home